Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRiView3D Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | CreateD3DRenderer ()
HRESULT | Rescan ()
HRESULT | Refresh ()
HRESULT | ImportBrick ([in] VARIANT vFileName,[in] VARIANT vOwner,[out, retval] VARIANT *pVal)
HRESULT | BuildBrickLibrary ([in] BSTR bsOwnerName)
HRESULT | RendererUpdateFromNode ([in] BSTR bsNodeName)
HRESULT | InsertNodeAt3D ([in] BSTR bsTarget,[in] BSTR bsNode,[in] VARIANT vPosX,[in] VARIANT vPosY,[in] VARIANT vPosZ,[out, retval] VARIANT *pVal)
HRESULT | ApplyMaterial ([in] BSTR bsTarget,[in] BSTR bsNode,[in] VARIANT vPosX,[in] VARIANT vPosY,[in] VARIANT vPosZ,[out, retval] VARIANT *pVal)
HRESULT | SetActiveCamera ([in] VARIANT bsCameraName,[in] VARIANT bsViewName)
HRESULT | CreateNavToolbar ([in] VARIANT bsViewName)
HRESULT | HideNavToolbar ([in] VARIANT bsViewName,[in] VARIANT bHardKill)
HRESULT | ShowRenderAttribsForObject ([in] VARIANT bsWinID,[in] VARIANT bsNodeName)
HRESULT | ShowRenderAttribsForLayer ([in] VARIANT bsWinID)
HRESULT | ShowMaterials ([in] VARIANT bsWinID,[in] VARIANT bsNodeName)
HRESULT | ShowPostProcessing ([in] VARIANT bsWinID)
HRESULT | SwitchEyeCameraType ([in] VARIANT bsWinID,[in] VARIANT vType)
HRESULT | ToggleMaterialPick ([in] VARIANT vAction)
HRESULT | ShowSettingsDialog ()
HRESULT | OpenMaterialInLE ()

## Detailed Description

IRiView3D interface provides real-time renderer related methods.
Root-level name in the scripting engine's name space: D3DView

## Member Function Documentation

HRESULT IRiView3D::CreateD3DRenderer | ( |  | ) |

| Create default D3DRenderer settings (data) node.

HRESULT IRiView3D::Rescan | ( |  | ) |

| Perform topology rescan of watched parts of graph if required

HRESULT IRiView3D::Refresh | ( |  | ) |

| Perform refresh of cached values if required

HRESULT IRiView3D::ImportBrick | ( | [in] VARIANT | vFileName,
|  | [in] VARIANT | vOwner,
|  | [out, retval] VARIANT * | pVal
| ) |

  | Import brick from XML file into the graph Parameters:
  vFileName | specifies the name of the XML brick file
  vOwner | specifies the full-name of the target owner encapsulator
  pVal | is filled with the loaded brick node.

HRESULT IRiView3D::BuildBrickLibrary | ( | [in] BSTR | bsOwnerName | ) |

  | Build XML shader brick library from XML files Parameters:
  bsOwnerName | target owner encapsulator of the library.

HRESULT IRiView3D::RendererUpdateFromNode | ( | [in] BSTR | bsNodeName | ) |

  | Update internal renderer data from a renderer settings node. Parameters:
  bsNodeName | specifies the path to settings node. Empty string uses default node.

HRESULT IRiView3D::InsertNodeAt3D | ( | [in] BSTR | bsTarget,
|  | [in] BSTR | bsNode,
|  | [in] VARIANT | vPosX,
|  | [in] VARIANT | vPosY,
|  | [in] VARIANT | vPosZ,
|  | [out, retval] VARIANT * | pVal
| ) |

  | Insert node (3D object) at specific position. Parameters:
  bsTarget | specifies the target encapsulator where object is placed
  bsNode | specifies the path of the source node to insert (copy)
  vPosX | specifies horizontal position in window coordinates
  vPosY | specifies vertical position in window coordinates
  vPosZ | specifies desired position where to apply (default is 0)
  pVal | is filled with the name of the newly created node.

HRESULT IRiView3D::ApplyMaterial | ( | [in] BSTR | bsTarget,
|  | [in] BSTR | bsNode,
|  | [in] VARIANT | vPosX,
|  | [in] VARIANT | vPosY,
|  | [in] VARIANT | vPosZ,
|  | [out, retval] VARIANT * | pVal
| ) |

  | Apply material on object at specific location. Parameters:
  bsTarget | specifies the target encapsulator where object is placed (where the object on coordinates is searched)
  bsNode | specifies the path of the source material to apply (copy)
  vPosX | specifies horizontal position in window coordinates where to apply
  vPosY | specifies vertical position in window coordinates where to apply
  vPosZ | specifies desired z position where to apply (default is 0)
  pVal | is filled with the name of the newly created material.

HRESULT IRiView3D::SetActiveCamera | ( | [in] VARIANT | bsCameraName,
|  | [in] VARIANT | bsViewName
| ) |

  | Set desired camera as active for given window Parameters:
  bsCameraName | specifies camera name to use (empty string uses selected camera)
  bsViewName | specifies the name of the view which should use the camera (empty string uses all views)

HRESULT IRiView3D::CreateNavToolbar | ( | [in] VARIANT | bsViewName | ) |

  | Create or update NAV toolbar for given view Parameters:
  bsViewName | specifies the name of the view (WinID) for which to update and show the toolbar.

HRESULT IRiView3D::HideNavToolbar | ( | [in] VARIANT | bsViewName,
|  | [in] VARIANT | bHardKill
| ) |

  | Hide NAV toolbar for given view Parameters:
  bsViewName | specifies the view name (WinID)
  bHardKill | specifies if toolbar should be just hidden (false) or deleted (true)

HRESULT IRiView3D::ShowRenderAttribsForObject | ( | [in] VARIANT | bsWinID,
|  | [in] VARIANT | bsNodeName
| ) |

  | Show render attributes panel for given object. Parameters:
  bsWinID | specifies the WinID which is used to associate with the panel.
  bsNodeName | specifies the node (3D object) for which the panel is shown

HRESULT IRiView3D::ShowRenderAttribsForLayer | ( | [in] VARIANT | bsWinID | ) |

  | Show render attributes panel for given scene layer. Parameters:
  bsWinID | specifies the WinID which is used to search for the scene layer.

HRESULT IRiView3D::ShowMaterials | ( | [in] VARIANT | bsWinID,
|  | [in] VARIANT | bsNodeName
| ) |

  | Show all materials of given object. Parameters:
  bsWinID | specifies the WinID which is used to associate with the panel.
  bsNodeName | specifies the node (3D object) for which the materials are shown

HRESULT IRiView3D::ShowPostProcessing | ( | [in] VARIANT | bsWinID | ) |

  | Show post processing for given window. Parameters:
  bsWinID | specifies the WinID for which the post processing is shown.

HRESULT IRiView3D::SwitchEyeCameraType | ( | [in] VARIANT | bsWinID,
|  | [in] VARIANT | vType
| ) |

  | Switch eye camera to given type for given window. Types of camera: 0 - Default type means perspective projection 1 - Orthogonal with pozitive Z in view 2 - Orthogonal with negative Z in view 3 - Orthogonal with pozitive X in view 4 - Orthogonal with negative X in view 5 - Orthogonal with pozitive Y in view 6 - Orthogonal with negative Y in view 7 - Custom orthogonal projection (free 3D orthogonal projection) Parameters:
  bsWinID | specifies the WinID for which the camera is switched.
  vType | specifies the type of the camera as seen above

HRESULT IRiView3D::ToggleMaterialPick | ( | [in] VARIANT | vAction | ) |

  | Enable/Disable or toggle the material pick tool. Parameters:
  vAction | specifies the action to be performed. 0 is for Disable, 1 is for Enable and other value is for toggle to the oposite of current state.

HRESULT IRiView3D::ShowSettingsDialog | ( |  | ) |

| Show the D3DView hardware settings dialog.

HRESULT IRiView3D::OpenMaterialInLE | ( |  | ) |

| Open material picked by Material pick tool in LE